
From: Brian Gerst <bgerst@didntduck.org>

LDFLAGS_BLOB is no longer used for anything.


---

 /dev/null                          |    2 --
 Documentation/kbuild/makefiles.txt |    9 ---------
 Makefile                           |    2 +-
 arch/arm/Makefile                  |    6 ------
 arch/arm26/Makefile                |    2 --
 arch/cris/Makefile                 |    2 --
 arch/um/Makefile-i386              |    1 -
 usr/initramfs_data.S               |   22 ----------------------
 8 files changed, 1 insertion(+), 45 deletions(-)

diff -puN arch/arm26/Makefile~remove-LDFLAGS_BLOB arch/arm26/Makefile
--- 25/arch/arm26/Makefile~remove-LDFLAGS_BLOB	2004-02-21 20:06:08.000000000 -0800
+++ 25-akpm/arch/arm26/Makefile	2004-02-21 20:06:09.000000000 -0800
@@ -8,7 +8,6 @@
 # Copyright (C) 1995-2001 by Russell King
 
 LDFLAGS_vmlinux	:=-p -X
-LDFLAGS_BLOB	:=--format binary
 AFLAGS_vmlinux.lds.o = -DTEXTADDR=$(TEXTADDR) -DDATAADDR=$(DATAADDR)
 OBJCOPYFLAGS	:=-O binary -R .note -R .comment -S
 GZFLAGS		:=-9
@@ -28,7 +27,6 @@ CFLAGS		+=-mapcs-26 -mcpu=arm3 -mshort-l
 AFLAGS		+=-mapcs-26 -mcpu=arm3 -mno-fpu -msoft-float -Wa,-mno-fpu
 
 head-y		:= arch/arm26/machine/head.o arch/arm26/kernel/init_task.o
-LDFLAGS_BLOB	+= --oformat elf32-littlearm
 
 ifeq ($(CONFIG_XIP_KERNEL),y)
   TEXTADDR	 := 0x03880000
diff -puN arch/arm/Makefile~remove-LDFLAGS_BLOB arch/arm/Makefile
--- 25/arch/arm/Makefile~remove-LDFLAGS_BLOB	2004-02-21 20:06:08.000000000 -0800
+++ 25-akpm/arch/arm/Makefile	2004-02-21 20:06:09.000000000 -0800
@@ -8,7 +8,6 @@
 # Copyright (C) 1995-2001 by Russell King
 
 LDFLAGS_vmlinux	:=-p -X
-LDFLAGS_BLOB	:=--format binary
 AFLAGS_vmlinux.lds.o = -DTEXTADDR=$(TEXTADDR) -DDATAADDR=$(DATAADDR)
 OBJCOPYFLAGS	:=-O binary -R .note -R .comment -S
 GZFLAGS		:=-9
@@ -56,11 +55,6 @@ DATAADDR	:= .
 
 PROCESSOR	:= armv
 head-y		:= arch/arm/kernel/head.o arch/arm/kernel/init_task.o
-ifeq ($(CONFIG_CPU_BIG_ENDIAN),y)
-  LDFLAGS_BLOB	+= --oformat elf32-bigarm
-else
-  LDFLAGS_BLOB	+= --oformat elf32-littlearm
-endif
 textaddr-y	:= 0xC0008000
 
  machine-$(CONFIG_ARCH_ARCA5K)	   := arc
diff -puN -L arch/cris/arch-v10/output_arch.ld arch/cris/arch-v10/output_arch.ld~remove-LDFLAGS_BLOB /dev/null
--- 25/arch/cris/arch-v10/output_arch.ld
+++ /dev/null	2002-08-30 16:31:37.000000000 -0700
@@ -1,2 +0,0 @@
-/* At the time of this writing, there's no equivalent ld option. */
-OUTPUT_ARCH (cris)
diff -puN arch/cris/Makefile~remove-LDFLAGS_BLOB arch/cris/Makefile
--- 25/arch/cris/Makefile~remove-LDFLAGS_BLOB	2004-02-21 20:06:08.000000000 -0800
+++ 25-akpm/arch/cris/Makefile	2004-02-21 20:06:09.000000000 -0800
@@ -24,8 +24,6 @@ SARCH :=
 endif
 
 LD = $(CROSS_COMPILE)ld -mcrislinux
-LDFLAGS_BLOB	:= --format binary --oformat elf32-cris \
-		   -T arch/cris/$(SARCH)/output_arch.ld
 
 OBJCOPYFLAGS := -O binary -R .note -R .comment -S
 
diff -puN arch/um/Makefile-i386~remove-LDFLAGS_BLOB arch/um/Makefile-i386
--- 25/arch/um/Makefile-i386~remove-LDFLAGS_BLOB	2004-02-21 20:06:08.000000000 -0800
+++ 25-akpm/arch/um/Makefile-i386	2004-02-21 20:06:09.000000000 -0800
@@ -9,7 +9,6 @@ ELF_ARCH = $(SUBARCH)
 ELF_FORMAT = elf32-$(SUBARCH)
 
 OBJCOPYFLAGS  := -O binary -R .note -R .comment -S
-LDFLAGS_BLOB	:= --format binary --oformat elf32-i386
 
 SYS_DIR		:= $(ARCH_DIR)/include/sysdep-i386
 SYS_UTIL_DIR	:= $(ARCH_DIR)/sys-i386/util
diff -puN Documentation/kbuild/makefiles.txt~remove-LDFLAGS_BLOB Documentation/kbuild/makefiles.txt
--- 25/Documentation/kbuild/makefiles.txt~remove-LDFLAGS_BLOB	2004-02-21 20:06:08.000000000 -0800
+++ 25-akpm/Documentation/kbuild/makefiles.txt	2004-02-21 20:06:09.000000000 -0800
@@ -638,15 +638,6 @@ When kbuild executes the following steps
 		#arch/i386/Makefile
 		LDFLAGS_vmlinux := -e stext
 
-    LDFLAGS_BLOB	Options for $(LD) when linking the initramfs blob
-
-	The image used for initramfs is made during the build process.
-	LDFLAGS_BLOB is used to specify additional flags to be used when
-	creating the initramfs_data.o file.
-	Example:
-		#arch/i386/Makefile
-		LDFLAGS_BLOB := --format binary --oformat elf32-i386
-
     OBJCOPYFLAGS	objcopy flags
 
 	When $(call if_changed,objcopy) is used to translate a .o file,
diff -puN Makefile~remove-LDFLAGS_BLOB Makefile
--- 25/Makefile~remove-LDFLAGS_BLOB	2004-02-21 20:06:08.000000000 -0800
+++ 25-akpm/Makefile	2004-02-21 20:06:09.000000000 -0800
@@ -283,7 +283,7 @@ AFLAGS		:= -D__ASSEMBLY__
 export	VERSION PATCHLEVEL SUBLEVEL EXTRAVERSION KERNELRELEASE ARCH \
 	CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \
 	CPP AR NM STRIP OBJCOPY OBJDUMP MAKE AWK GENKSYMS PERL UTS_MACHINE \
-	HOSTCXX HOSTCXXFLAGS LDFLAGS_BLOB LDFLAGS_MODULE CHECK
+	HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK
 
 export CPPFLAGS NOSTDINC_FLAGS OBJCOPYFLAGS LDFLAGS
 export CFLAGS CFLAGS_KERNEL CFLAGS_MODULE 
diff -puN usr/initramfs_data.S~remove-LDFLAGS_BLOB usr/initramfs_data.S
--- 25/usr/initramfs_data.S~remove-LDFLAGS_BLOB	2004-02-21 20:06:08.000000000 -0800
+++ 25-akpm/usr/initramfs_data.S	2004-02-21 20:06:09.000000000 -0800
@@ -1,28 +1,6 @@
 /*
   initramfs_data includes the compressed binary that is the
   filesystem used for early user space.
-  Note: Older versions of "as" (prior to binutils 2.11.90.0.23
-  released on 2001-07-14) dit not support .incbin.
-  If you are forced to use older binutils than that then the
-  following trick can be applied to create the resulting binary:
-
-
-  ld -m elf_i386  --format binary --oformat elf32-i386 -r \
-  -T initramfs_data.scr initramfs_data.cpio.gz -o initramfs_data.o
-   ld -m elf_i386  -r -o built-in.o initramfs_data.o
-
-  initramfs_data.scr looks like this:
-SECTIONS
-{
-       .init.ramfs : { *(.data) }
-}
-
-  The above example is for i386 - the parameters vary from architectures.
-  Eventually look up LDFLAGS_BLOB in an older version of the
-  arch/$(ARCH)/Makefile to see the flags used before .incbin was introduced.
-
-  Using .incbin has the advantage over ld that the correct flags are set
-  in the ELF header, as required by certain architectures.
 */
 
 .section .init.ramfs,"a"

_
